package com.goldenwater.slgc.service;

import java.util.List;
import com.goldenwater.slgc.domain.AttDpdsBase;

/** 排水沟信息 Service */
public interface DpdsService {
    /**
     * 查询排水沟信息列表
     * 
     * @param attDpdsBase 查询条件
     * @return 排水沟信息列表
     */
    public List<AttDpdsBase> selectAttDpdsBaseList(AttDpdsBase attDpdsBase);

    /**
     * 通过排水沟编码查询排水沟信息
     * 
     * @param dpdsCode 排水沟编码
     * @return 排水沟信息
     */
    public AttDpdsBase selectAttDpdsBaseById(String dpdsCode);

    /**
     * 批量删除排水沟信息
     * 
     * @param dpdsCodes 排水沟编码数组
     * @return 删除行数
     */
    public int deleteAttDpdsBaseByIds(String[] dpdsCodes);

    /**
     * 新增排水沟信息
     * 
     * @param attDpdsBase 排水沟信息
     * @return 插入行数
     */
    public int insertAttDpdsBase(AttDpdsBase attDpdsBase);

    /**
     * 修改排水沟信息
     * 
     * @param attDpdsBase 排水沟信息
     * @return 更新行数
     */
    public int updateAttDpdsBase(AttDpdsBase attDpdsBase);
}
